-- AutoRevive - A mod for Payday 2
-- Copyright (C) 2021  Andrew de Jong

PlayerDamage = PlayerDamage or class()

if not Global.game_settings.single_player then
  log("You're in a online game. AutoRevive has been disabled.")
  return
else log("You're playing offline/single player. Enjoy AutoRevive!")
end

local PlayerDamage__check_bleed_out = PlayerDamage._check_bleed_out

function PlayerDamage:_check_bleed_out(...)
  if self:get_real_health() == 0 and not self._check_berserker_done then
    local time = Application:time()
    if self._uppers_elapsed == 0 or time > self._uppers_elapsed + self._UPPERS_COOLDOWN then
      self:band_aid_health()
      local amount = managers.player:get_equipment_amount("first_aid_kit", 1)
      local slot = 1
      if amount == 0 then 
        amount = managers.player:get_equipment_amount("first_aid_kit", 2)
        slot = 2
      end
      managers.player:set_equipment_amount("first_aid_kit", amount - 1, slot)
      self._uppers_elapsed = time
    end
  end
  return PlayerDamage__check_bleed_out(self, ...)
end